DSSAT Version 4.5

 Top Next

The Decision Support System for Agrotechnology Transfer (DSSAT) Version 4.5 is a software application program that includes crop simulation models for more than 25 crops, data base management programs for soil, weather, and crop management and experimental data, and utilities and application programs. The crop simulation models simulate growth, development and yield, and the soil and plant water, nitrogen and carbon balances. DSSAT and its crop simulation models have been used for a wide range of applications, including on-farm and precision management to regional impact assessments of the impact of climate change and variability. See Tsuji et al. (1998) and Jones et al. for (2003) for example applications.

DSSAT version 4.5 is an upgrade and improvement of DSSAT version 4.0. DSSAT version 4 was completely redesigned and is now Windows-based. All shell, application programs and data entry and analysis tools have been rewritten to be compatible with the latest Windows standards. In addition, all crop models were combined into the Cropping System Model (CSM), which is based on a modular modeling approach (Jones et al., 2003). CSM uses one set of code for simulating soil water, nitrogen and carbon dynamics, while crop growth and development are simulated with the CERES, CROPGRO, CROPSIM and SUBSTOR modules. The CENTURY-based soil carbon and nitrogen model for improved performance in low input agricultural systems and for simulation carbon sequestration was added as a separate soil module to CSM. The crop models of DSSAT v3.5 are included in DSSAT v4 as legacy models for user comparison and analysis.

DSSAT v4.5 includes:

· More than 18 different crops simulated with CSM, including maize, wheat, rice, barley, sorghum, millet, soybean, peanut, dry bean, chickpea, cowpea, faba bean, velvet bean, potato, tomato, bell pepper, cabbage, bahia, brachiaria, cotton and bare fallow.
· The DSSAT v3.5 legacy models, including cassava, sunflower, sugarcane, taro, tanier, and pineapple.
· Identical soil modules for the simulation of the soil water, nitrogen and carbon balances.
· The CENTURY-based soil carbon and nitrogen module.
· The Crop Management Data tool XBuild for entering and editing of experimental data.
· The Soil Data tool SBuild for entering and editing of soil data.
· A new Weather Data Manager WeatherMan for entering, analyzing and generating weather and climate data.
· The Experimental Data tool ATCreate for entering and editing detailed growth, development and yield data as well as soil water, nitrogen, and carbon measurements.
· The Graphics program GBuild for graphical display of simulated and experimental data.
· A seasonal analysis program for analysis of biophysical and economic data for single season simulations.
· A sequence analysis program for analysis of biophysical and economic data for crop rotations and multi-season experiments.
· The Introductory Simulation Tool ICSim for simple simulations and application of models as a teaching tool.
· EasyGrapher, a simple graphing program for simulated data.
· The CROPTest program for comparison and analysis of different versions of the crop simulation models.
· AEGISWin for spatial applications of the crop models. AEGISWin requires ArcView Version 3.x to be installed on your computer.

Other programs are under development and will be added at a later date.

DSSAT version 4.5 was developed through collaboration among scientists at the University of Florida, the University of Georgia, University of Guelph, University of Hawaii, the International Center for Soil Fertility and Agricultural Development, Iowa State University, USDA-ARS and other scientists associated with the International Consortium for Agricultural Systems Applications (ICASA).


Proper Citation

 Top Previous Next

Hoogenboom, G., J.W. Jones, P.W.Wilkens, C.H.Porter, L.A. Hunt, K.J.Boote, U.Singh, O.Uryasav, J. Lizaso, A.J Gijsman, J.W.White, W.D. Batchelor, and G.Y. Tsuji. 2008. Decision Support System for Agrotechnology Transfer (DSSAT) Version 4.5 [CD-ROM]. University of Hawaii, Honolulu, Hawaii.


Contents of CD

The DSSAT Version 4.5 is supplied on a CD-ROM and includes the following programs:

• DSSAT Version 4.5 shell
• Cropping System Model (CSM) and associated species and cultivar parameter files
• Example data sets for all crops, including crop management, soil and weather data, as well as measured and recorded field observations
• XBuild – Experimental data entry utility
• GBuild – Output graphing utility
• SBuild – Soils data utility
• Weatherman – Weather data utility
• ICSim – Introductory crop simulation tool
• EasyGrapher- Alternate graphing utility
• VARAN – Seasonal analysis program
• SUSTAIN – Sequence and crop rotation analysis program
• Croptest – Model comparison utility program
• AEGISWin – Spatial applications of the crop models (requires ArcView Version 3.x)
• DSSAT v3.5 legacy models

The DSSAT Version 4 crop simulation models that are currently available include:

• Maize, wheat, barley, rice, sorghum, millet
• Soybean, peanut, dry bean, cowpea, faba bean, velvet bean, chickpea
• Potato
• Tomato, bell pepper, cabbage
• Bahia grass, brachiaria
• Cotton
• Bare fallow model

The DSSAT Version 3.5 crop simulation models that are available include:

• Sunflower
• Pine apple


Hardware Requirements

DSSAT Version 4.5 should be installed on a computer that has a Windows operating system, with at least 256 MByte of memory and 500 MByte of hard disk space. We recommend Windows 2000 or Windows XP, although the system has been successfully operated on computers with Windows NT, Windows 95 and Windows 98. See the Readme documentation in case you experience any problems on these operating systems or check the Installation Problems section of this document.

Many problems can be avoided by upgrading to the latest Service Packs from Microsoft for Windows XP and Microsoft Office.This is particularly true for XP where SP-1 or later MUST be installed. We highly recommend that you check the windowsupdate.microsoft.com and update.microsoft.com web sites prior to installation.


Contact Information

If you experience any problems or have questions with respect to DSSAT, the crop simulation models, tools and application programs, please do not hesitate to contact the International Consortium for Agricultural Systems Applications (ICASA), 244 Campus Road, Box 527, Honolulu, Hawaii 96822, USA. Our e-mail address is icasa@icasa.net, our fax number is 1-808-956-2711 and our web address is www.ICASA.net.


Error Reporting

The DSSAT shell also includes an Error Reporting feature. Select "Help" and then "Report a problem." A separate window will appear in your mailer program. Your DSSAT registration number will show in the e-mail message, as well as the appropriate DSSAT and ICASA contact personnel.


DSSAT Updates

Please check the "Check for Updates" feature in the "Help" section on a regular basis. Updates for DSSAT, including utility and applications programs, documentation and associated files, will be posted on regular basis to a centrally located server. Especially if you experience problems during the installation or operation of one or more programs, please check for "Check for Updates" first prior to reporting a problem or requesting for assistance.


DSSAT Registration

You can find your DSSAT registration number on your CD-Rom. If you experience any problems during your registration, please contact ICASA at ICASA@ICASA.net


DSSAT Listserver

A DSSAT list server has been established at the University of Georgia to serve users and those interested in DSSAT and the crop models contained therein. We trust this mode of communication will allow each user to share concerns, successes, messages, and thoughts related to DSSAT and its application. Additionally, information on updates and modifications will be announced here as well as at the ICASA web site (www.ICASA.net). Other information that has been shared include announcements for crop modeling training workshops, symposia, the ICASA data exchange and other items of interest to the DSSAT modeling community.

To subscribe, send a message to: listserv@listserv.uga.edu

In the body of the message state: subscribe DSSAT Your_Firstname Your_Lastname

Example: subscribe DSSAT John Doe

Alternatively, you can also subscribe via the ICASA web site. Point your web browser to www.ICASA.net/listserver/, fill out the form and submit. You will find additional instructions on how to subscribe to the DSSAT listserver on this page.

After you have sent your message, the listserver will return a message, requesting you to confirm your subscription.

An archive of previously posted messages to the DSSAT listserver can be found at www.ICASA.net/dssat/archives.html.

Gerrit Hoogenboom will serve as "caretaker" of the list server. For any questions, contact him at gerrit@uga.edu or 1-770-229-3438.


References

Jones, J.W., G. Hoogenboom, C.H. Porter, K.J. Boote, W.D. Batchelor, L.A. Hunt, P.W. Wilkens, U. Singh, A.J. Gijsman, and J.T. Ritchie. 2003. DSSAT Cropping System Model. European Journal of Agronomy 18:235-265.

Tsuji, G. Y., G. Hoogenboom, and P. K. Thornton [Editors]. 1998. Understanding Options for Agricultural Production. Systems Approaches for Sustainable Agricultural Development. Kluwer Academic Publishers, Dordrecht, the Netherlands. ISBN 07923-4833-8. 400 pp.


Installation of DSSAT Components

Place the DSSAT v4.0 installation CD in your CD drive.

If the main ICASA Toolkit 1.0 setup screen does not automatically appear, select the "Start" icon on the bottom left of your screen, then select "Run" from the menu bar.

Select "Browse" to locate the install program, INSTALL.exe, on the CD drive.


DSSAT4 Shell Installation

First, install the DSSAT v4.0 shell program, system files and associated data. The default directory of C:\DSSAT4 should be used for easiest installation and use of the models and associated applications.

Select "Install DSSAT v4" from the main menu above. Then select ONLY "DSSAT v4" and press "Install". This sequentially installs all the programs and copies the input data sets and directory structure used by DSSAT, CSM and the associated utility programs

The installation will include some of the following screens. Select "Yes", "Next" and/or "Accept" as prompted by the interface and is applicable


XBuild Installation

After the installation of the DSSAT shell, install the XBuild, Experiment Editor program. Note that the ICASA Toolkit will only allow you to install one program at a time. Select "XBuild" and then press "Install".

XBuild has been developed in a different programming language than the DSSAT Shell and therefore will display a different interface. The default location for XBuild is C:\DSSAT4\TOOLS\XBuild. Check the Readme file and documentation if you experience any problems during the installation of XBuild.


GBuild Installation

After successful completion of the installation of XBuild, install the graphics program GBuild. Select "GBuild" and then press "Install". The installation interface for GBuild is similar to the XBuild installation interface


SBuild Installation

After successful completion of the installation of GBuild install the soil data editor SBuild. Again, the installation interface is similar to installation interface of XBuild and GBuild. Select "SBuild" and press "Install.


Weatherman Installation

Finally, install the weather editor WeatherMan. The interface of this installation program is similar to the one from the DSSAT Shell installation. Select "WeatherMan" and press "Install.".


Utility Installation

Upon completion of the installation of the DSSAT shell and associated programs, select "Done", which will take you back to the main installation menu.

Now select "Install Utility Programs" to install some of the additional programs, tools and utilities that are provided with DSSAT Version 4.

As shown by the screen below, these tools can be installed as desired and are not required to run DSSAT v4.


Optional Components

The optional components are shown here. None of the components are required for the basic operation of DSSAT but instead perform complementary functions.


Remaining Menu Options

There are several other menu options.

Read Me First - Displays this help file.

Browse CD - Opens up the Windows Explorer to browse the CD contents.

Exit - Closes the Installation program.

www.icasa.net - Opens the ICASA Web Page.


General Troubleshooting

Many problems can be avoided by upgrading to the latest Service Packs from Microsoft. This is particularly true for Windows XP and Windows 2000, where the latest service packs MUST be installed.

Errors such as "Installation can not continue because componenets are outdated" can be solved by upgrading the operating system. ISAM errors during program execution can also be solved by upgrading the operating system. In some cases, some applications can not be installed (Windows NT or 2000 systems) if the user is not logged in as Adminstrator.

Please also check the latest ReadMe file for updates on known problems and possible solutions with respect to installation and operation problems of DSSAT.


ICSIM, XBUILD, SBUILD, and GBUILD Problems

The ICSim, XBuild, SBuild, and GBuild programs can be installed on computers that operate Windows95, Windows98, WindowsME, WindowsNT, Windows2000 and WindowsXP. However, we highly recommend that users upgrade to the latest version of Windows XP to be able to use the full functionally of these utility programs.

To ensure that ICSim, XBuild, DBuild, and SBuild work properly on Win95 orWin98, update the computers with the corresponding components prior to installation, using updates that you can download from the following sites for Windows 95 and Windows 98, respectively:

Windows 95

Windows 98

If some error message occurs during installation indicating OCX file registration failure, please first update Win95. If you continue to have problems with your OCX registry, check the following:

1) Missing or out of date DLLs
2) Problems with the system registry.

To obtain the most recent files, go here and search for corresponding DLL files. If you copy these files onto the target system, have your installer register them, or run regsvr32 on them.

If you experience errors in the system registry, Microsoft has a utility called RegClean which can help solve some of these problems and allows the OCX controls to be registered successfully. RegClean is described in an MSKB article that can be found at Q147769


XBuild Problems Continued

We have experienced errors on some computer systems when installing and/or running the different Build programs. These programs are written in Visual Basic (VB). Although VB is a Microsoft product, there are apparently some incompatibility issues among the (many) different versions of MS Windows operating systems. Below, we list some of these errors along with some suggested steps to help solve the problem on your computer. In most cases, where errors occurred in our testing process, the problems were related to operation systems that were not up to date. Updating those systems with the latest MS updates typically fixes the problem. Thus, we strongly recommend that you update your computer operation system before installing DSSAT v.4

Below we list some of the errors that were encountered and steps to take to help your overcome these problems. We realize that there are likely errors that remain in the software, but during our pre-lease tests almost all problems were due to those caused by different MS operation systems or "firewall" protection on the computers.

1. The following message can be shown on Computers with different operating systems:

· Setup cannot continue because some system files are out of date on your system. Click OK if you would like setup to update these files now. You will need to restart Windows before you can run setup again. Click Cancel to exit setup without updating system files.

a) If these are Win95, Win98, Win ME, WinNT, or Win XP but not Win2000, follow the instructions, that is: Click OK, and reboot the computer. The Build Setup programs will install the necessary files.

If the message pops up again, you need to install the latest Service Packs of your operation system. Go to the corresponding MS web site and download the update.

b) If the target computer has Win 2000 operational system, rebooting the system will not help with updating these files. In Win 2000, system files are protected and are not updated on restart. Each subsequent attempt to install the application results in the same error message, and the application cannot complete its installation. You will need to install the latest Service Pack 4 for Windows 2000 on the target computer. The SP4 is available on the following website: http://www.microsoft.com/windows2000/downloads/servicepacks/sp4/default.asp

c) For All Operating systems: Check to see if the .tmp files are not being deleted; or the Temp folder is not on a different drive or partition from the operating system. For example if your operating system is installed on the C: drive as most are, they must be a C:\Temp folder. By default, the operating system is installed to either the Windows or Winnt folder. If this problem is detected, the following actions will solve the problem:

Copy the TEMP and TMP environment variables to a folder that is in the same drive partition as the Windows system files. To do this, open a command prompt window and type the following at the prompt:

Set TMP=C:\TEMP

Set TEMP=C:\TEMP

This will save the TEMP and TMP environment variables to a folder named "Temp" that resides on the C: drive.

Note: The folder must exist prior to carrying out these steps.

Once these environment variables are set, the application should then install and continue past the message on reboot.

If your Autoexec.bat file contains the following line (or similar):

If exists c:\temp\*.tmp del c:\temp\*.tmp comment it out by placing "REM" in front of it.

d) For All Operating systems: Leftover files from a failed Setup attempt can also cause this problem. If found, delete the msftqws.pdw subfolder and its contents from the Temp folder. Also look in the Windows or Winnt folder for Setup1.exe and any *.CAB files from previous installs, and delete them. This should be done after each failed install.

2. After the program was installed, the following message can pop up:

Cannot Find Installable ISAM

a) This could mean that your operating system needs to be updated.

b) For Windows95 or Windows98, an update can be downloaded from the following sites for Windows 95 and Windows 98,

Windows 95: http://www.microsoft.com/com/dcom/dcom95/download.asp

Windows 98: http://www.microsoft.com/com/dcom/dcom98/download.asp

c) For All Operation systems: Disable any Anti-virus software (or other memory resident programs) and try running Setup again.

d) For All Operation systems: Some logon scripts can cause the problem, so try to run Setup before logging on to the network.

.

See the README file for additional solutions for the "Cannot Find Installable ISAM" problem.


SBuild Problems Continued

One error has been reported during installation of SBuild that shows the following message:

· Setup cannot continue because some system files are out of date on your system. Click OK if you would like setup to update these files for you now. You will need to restart Windows before you can run setup again. Click cancel to exit setup without updating system files.

This is a known error reported by Microsoft. Please see the following web page for further information and instructions on how to fix this problem.

· http://support.microsoft.com/kb/330314/en-us


Korean Windows 2000 Error

When you run a Visual Basic 6.0 application setup package that the Package and Deployment Wizard (PDW) generated, you may receive the following error message:

Path or File not found This error occurs when the following conditions are met:

· The operating system is Korean Windows 2000.
· The package is installed by a user whose user name is Korean-character based.

To work around this problem, log on as a user whose user name is ANSI-based to install the application. After the installation, you should be able to use the application when you log on as the Korean character-based user.

Steps to Reproduce Behavior:

· Create an application setup package with the Visual Basic 6.0 Package and Deployment Wizard.
· On a Korean Windows 2000-based computer, from the Start menu, point to Programs, point to Administrative Tools, and then click Computer Management.
· Click to expand the Local Users and Groups node. Right-click Users, and then click New User. In the User name box, type a name with Korean characters. Complete the necessary information to create a new user, and then click Create.
· Click Groups, right-click Administrators in the right pane, and then click Add to Group. Click Add, and add the newly created user to the Administrators group. Click OK twice.
· Log off, and then log on with the newly created user.
· Start the application setup package to reproduce the error.

.


Thai Windows 2000 Error

If you are running the Thai version of Windows 2000, you will need to go to

Control Panel - Regional Settings - Date - Calendar Type and select the Christian calendar system instead of the Buddhist calender system. This is needed to standardize on date values in the model and support programs.


Automation Error

If the error occurs when starting XBuild in XP or Windows 2000, "Automation Error: ClassFactory cannot supply requested class", the solution may be found by downloading and installing Windows Script for Windows 2000/XP.

http://www.microsoft.com/downloads/details.aspx?FamilyID=c717d943-7e4b-4622-86eb-95a22b832caa&DisplayLang=en


WeatherMan

 Top Previous

TITLE

"Can't run 16-bit Windows Program" Installation Error

TOPIC

During installation an error message appears saying "Can't run 16-bit Windows Program. Cannot find file..."

DISCUSSION

The InstallShield software used for installation may exhibit this problem on operating systems where the creation of short file names has been disabled (e.g. by setting the NtfsDisable8dot3NameCreation registry value to 1).

This problem may be solved by moving the setup file to a location which does not use long names in its path components (e.g. the root of drive C) and running it from there. If this does not solve the problem, a change to a registry value is required.

The NTFS file system (introduced in Windows NT and used by Windows 2000, Windows XP and Windows Server 2003) automatically creates 8.3 "short" file names and stores them along with the NTFS "long" name. Although the short names are not visible when you browse the filing system, they are present, and you may see them in some path values stored in the system registry, or displayed in setup programs. This duplication, which only affects long file and directory names, results in a slightly increased overhead when creating a new file or directory, however it is required for compatibility with older applications. Unfortunately even some newer programs, released well after the introduction of "long" file names on Windows, rely on support for short file names in order to be compatible with the widest possible range of operating systems and filing systems.

Warning - Please read the following article before proceeding:

· 3-151 - Editing the Windows Registry

The creation of 8.3-compliant short names on NTFS partitions is controlled by a registry value, which by default is set to enable the creation of short names.

If the following value is set to 1 then short file names are not created:

· HKEY_LOCAL_MACHINE\System\
CurrentControlSet\Control\FileSystem\
NtfsDisable8dot3NameCreation=1

If the value is missing, or set to 0, then short file names are created:

· HKEY_LOCAL_MACHINE\System\
CurrentControlSet\Control\FileSystem\
NtfsDisable8dot3NameCreation=0

A reboot is required for the change to fully take effect. The change has no effect on existing files and directories (it only affects new writes). To create short names for files and directories which are already on the hard disk it is necessary to force this data to be rewritten, e.g. with a backup/restore.